<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<artifactId>samples</artifactId>
		<groupId>org.richfaces</groupId>
		<version>3.1.3.GA</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.samples</groupId>
	<artifactId>seamIntegration</artifactId>
	<packaging>war</packaging>
	<name>seamIntegration Maven Webapp</name>
	<version>3.1.3.GA</version>
	<build>
		<finalName>seamIntegration</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<inherited>true</inherited>
				<configuration>
					<source>1.5</source>
					<target>1.5</target>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-war-plugin</artifactId>
				<configuration>
					<webResources>
						<resource>
							<directory>${seamHome}</directory>
							<targetPath>WEB-INF/lib</targetPath>
							<includes>
								<include>jboss-seam.jar</include>
								<include>jboss-seam-ui.jar</include>
								<include>jboss-seam-debug.jar</include>
								<include>
									jboss-seam-remoting.jar
								</include>
								<include>
									jboss-seam-pdf.jar
								</include>
							</includes>
						</resource>
						<resource>
							<directory>${seamHome}/lib</directory>
							<targetPath>WEB-INF/lib</targetPath>
							<includes>
								<include>jboss-el.jar</include>
							</includes>
						</resource>
					</webResources>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-core</artifactId>
			<version>2.0.0.BETA</version>
			<scope>system</scope>
			<systemPath>${seamHome}/jboss-seam.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-ui</artifactId>
			<version>2.0.0.BETA</version>
			<scope>system</scope>
			<systemPath>${seamHome}/jboss-seam-ui.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-debug</artifactId>
			<version>2.0.0.BETA</version>
			<scope>system</scope>
			<systemPath>${seamHome}/jboss-seam-debug.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-remoting</artifactId>
			<version>2.0.0.BETA</version>
			<scope>system</scope>
			<systemPath>${seamHome}/jboss-seam-remoting.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-pdf</artifactId>
			<version>2.0.0.BETA</version>
			<scope>system</scope>
			<systemPath>${seamHome}/jboss-seam-pdf.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>jboss-el</artifactId>
			<version>2.0.0.BETA</version>
			<scope>system</scope>
			<systemPath>${seamHome}/lib/jboss-el.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>javassist</artifactId>
			<version>3.4.ga</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2</version>
		</dependency>
		<dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
			<version>1.6.1</version>
		</dependency>
		<dependency>
			<groupId>javax.persistence</groupId>
			<artifactId>persistence-api</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate</artifactId>
			<version>3.2.4.ga</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<version>3.0.0.ga</version>
		</dependency>
		<dependency>
			<groupId>jstl</groupId>
			<artifactId>jstl</artifactId>
			<version>1.2</version>
		</dependency>
	</dependencies>
</project>

